<template>
  <div
    id="dsnFileDeleteChoiceModal"
    class="modal fade"
    tabindex="-1"
    role="dialog"
    aria-labelledby="myModalLabel"
  >
    <div
      class="modal-dialog"
      role="document"
    >
      <div class="modal-content">
        <div class="modal-header">
          <button
            type="button"
            class="close"
            data-dismiss="modal"
            aria-label="Close"
          >
            <span aria-hidden="true">&times;</span>
          </button>
          <h4
            id="myModalLabel"
            class="modal-title"
          >
            Voulez-vous également supprimer les données déjà intégrées du fichier ?
          </h4>
        </div>
        <div class="modal-body">
          Le fichiers que vous avez sélectionné a été intégré. Les données qu'il contient sont actuellement utilisées
          pour vous fournir des tableaux de bords et indicateurs.
          Vous avez le choix de garder ses données dans le système ou de demander leur effacement.
        </div>
        <div class="modal-footer">
          <click-button
            data-dismiss="modal"
          >
            <template #content>
              Annuler
            </template>
          </click-button>
          <click-button
            @click="nextNo"
          >
            <template #content>
              Non, je conserve les données
            </template>
          </click-button>
          <click-button
            @click="nextYes"
          >
            <template #content>
              Oui, je supprime les données
            </template>
          </click-button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import ClickButton from "../Button/ClickButton";
export default {
  name: "DsnFileDeleteChoiceModal",
  components: {ClickButton},
  props: {
    show: {
      type: String,
      default: ''
    },
  },
  mounted() {
    if (this.show === "true") {
      $('#dsnFileDeleteChoiceModal').modal({keyboard: false, backdrop: 'static'})
    }
    $('#dsnFileDeleteChoiceModal').on('hidden.bs.modal', function () {
      $('.modal-backdrop').remove()
    })
  },
  methods: {
    nextNo() {
      $('#dsnFileDeleteChoiceModal').modal('hide')
      this.$emit('koClicked')
    },
    nextYes() {
      $('#dsnFileDeleteChoiceModal').modal('hide')
      this.$emit('okClicked')
    }
  }
}
</script>

<style scoped>

</style>